<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>boostap switch</title>
    <!-- boostrap css -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.0.0/dist/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
    <!-- boostrap js -->
    <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.12.9/dist/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.0.0/dist/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
    
</head>
<body>
    <div class="container">
        <div class="btn-group btn-group-toggle" data-toggle="buttons">
            <button class="btn btn-outline-primary remove-active" id="1kgbtn" type="button" data-toggle="collapse" data-target="#1kgpack" aria-expanded="false" aria-controls="collapseExample" aria-pressed="false" autocomplete="off">
             1kg package
           </button>
       
           <button class="btn btn-outline-primary remove-active" id="25kgbtn" type="button" data-toggle="collapse" data-target="#25kgpack" aria-expanded="false" aria-controls="collapseExample" aria-pressed="false" autocomplete="off">
             2.5kg package
           </button>
        </div>
    </div>
</body>
<script>
            //on button click

            $('button').click(function(e){
            //the current button is toggled

            //check to see if the other button is toggled

            if($('.remove-active').hasClass('active')){ //if it has class this means it is active
                //store the active id
                var e = $('.remove-active.active').attr('id');

                //we clicked on the same button then we would equal the same id
                    if(e == $(this).attr('id')){
                        //collapse the clicked Id if we are unpressing the button
                        $(this).collapse('hide');

                        console.log(e + ' auto toggles with bootstrap and collapse the currently clicked target ' + $(this).attr('data-target'));                       

                       }else{ // else
                           //we untoggle the other button and element
                           $('#' + e).button('toggle');
                           //we also collapse the other element
                           $($('#' + e).attr('data-target')).collapse('hide');

                           console.log("The other element was clicked and we cleared it along with collapsing the " + $('#' + e).attr('data-target'));
                       }                        
               }

            //be sure to close out the console.log() stuff
            //this is just for viewing example
        });
    </script>
</html>